/**
 * 
 */
package edu.ouc.mycloud.dao;

import java.util.List;

import edu.ouc.mycloud.model.User;

public interface UserDAO {

	public void addUser(User u);
	public void updateUser(User u);
	public List<User> listUsers();
	public User getUserById(int id);
	public void removeUser(int id);
	public User getUserByUserId(String userName);
	public long getNumberOfUsers();
}
