package edu.ouc.mycloud.service;

import java.util.List;

import edu.ouc.mycloud.model.User;

public interface UserService {

	public void addUser(User user);
	public void updateUser(User user);
	public List<User> listUsers();
	public User getUserById(int id);
	public void removeUser(int id);
	public User getUserByUserId(String userName);
	public long getNumberOfUsers();	
}
