<%@ taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c" %>
<%@ taglib uri="http://www.springframework.org/tags" prefix="spring" %>
<%@ taglib uri="http://www.springframework.org/tags/form" prefix="form" %>
<%@ taglib uri="http://java.sun.com/jsp/jstl/fmt" prefix="fmt" %>
<%@ page session="false" %>
<!DOCTYPE html>
<html lang="en">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<!-- Meta, title, CSS, favicons, etc. -->
<meta charset="utf-8">
<meta http-equiv="X-UA-Compatible" content="IE=edge">
<meta name="viewport" content="width=device-width, initial-scale=1">

<title>Administracin | MyCloud</title>

<c:import url="/WEB-INF/views/tags/headstyle.jsp" />
</head>
	<body class="nav-md">
    	<div class="container body">
      		<div class="main_container">
        		<div class="col-md-3 left_col">
          			<div class="left_col scroll-view">
            			<c:import url="/WEB-INF/views/tags/headerdivision.jsp" />
            			
            			<div class="clearfix"></div>

            			<!-- menu profile quick info -->
            			<div class="profile">
							<c:import url="/WEB-INF/views/tags/menuprofile.jsp" />
						</div>
            			<!-- /menu profile quick info -->

            			<br />

            			<!-- sidebar menu -->
							<c:import url="/WEB-INF/views/tags/menu.jsp" />
						<!-- /sidebar menu -->

            			<!-- /menu footer buttons -->
							<c:import url="/WEB-INF/views/tags/menufooterbuttons.jsp" />
						<!-- /menu footer buttons -->
          			</div>
        		</div>
        		
        		<!-- top navigation -->			
					<c:import url="/WEB-INF/views/tags/topnavigation.jsp" />
				<!-- /top navigation -->
       
        		<!-- page content -->
        		<div class="right_col" role="main">
          			<div class="">
            			<div class="row top_tiles">
            				<a href="<c:url value='/roles' />">
              					<div class="animated flipInY col-lg-3 col-md-3 col-sm-6 col-xs-12">
                					<div class="tile-stats">
                  						<div class="icon"><i class="fa fa-user"></i></div>
                  						<div class="count">${numberOfRoles}</div>
                  						<h3>Perfiles</h3>
                  						<p>Perfiles de usuario.</p>
                					</div>
              					</div>
              				</a>              				
              				<a href="<c:url value='/users' />">
              					<div class="animated flipInY col-lg-3 col-md-3 col-sm-6 col-xs-12">
                					<div class="tile-stats">
                  						<div class="icon"><i class="fa fa-users"></i></div>
	                  					<div class="count">${numberOfUsers}</div>
    	              					<h3>Usuarios</h3>
        	          					<p>Usuarios de la aplicacin.</p>
            	    				</div>
              					</div>
              				</a>
              				<a href="<c:url value='/storage' />">
              					<div class="animated flipInY col-lg-3 col-md-3 col-sm-6 col-xs-12">
                					<div class="tile-stats">
                  						<div class="icon"><i class="fa fa-file-archive-o"></i></div>
                  						<div class="count">${numberOfVirtualFiles}</div>
                  						<h3>Ficheros</h3>
                  						<p>Ficheros virtuales.</p>
                					</div>
              					</div>
              				</a>
              				<a href="<c:url value='/storage' />">
              					<div class="animated flipInY col-lg-3 col-md-3 col-sm-6 col-xs-12">
                					<div class="tile-stats">
                  						<div class="icon"><i class="fa fa-file-o"></i></div>
                  						<div class="count">${numberOfFiles}</div>
                  						<h3>Ficheros</h3>
                  						<p>Ficheros fsicos.</p>
                					</div>
              					</div>
              				</a>
            </div>
          </div>
        </div>
        <!-- /page content -->

        <!-- footer content -->
		<footer>
			<c:import url="/WEB-INF/views/tags/footercontent.jsp" />
		</footer>
		<!-- /footer content -->
      </div>
    </div>

    <c:import url="/WEB-INF/views/tags/footerstyle.jsp" />

    <!-- Flot -->
    <script>
      
    </script>
    <!-- /bootstrap-daterangepicker -->
  </body>
</html>
