<%@taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<div class="top_nav">
	<div class="nav_menu">
		<nav>
			<div class="nav toggle">
				<a id="menu_toggle"><i class="fa fa-bars"></i></a>
			</div>

			<ul class="nav navbar-nav navbar-right">
				<li class="">
					<a href="javascript:;"
					class="user-profile dropdown-toggle" data-toggle="dropdown"
					aria-expanded="false"> ${userNameAuthenticated.name}
						${userNameAuthenticated.surname}<span class=" fa fa-angle-down"></span>
					</a>
					<ul class="dropdown-menu dropdown-usermenu pull-right">
						<li><a href="javascript:;"> </a></li>
						<li><a
							href="<c:url value='/users/edituser/${userNameAuthenticated.id}' />"><i
								class="fa fa-user pull-right"></i> Editar perfil</a></li>
						<li><a
							href="<c:url value='/users/changepassword/${userNameAuthenticated.id}' />"><i
								class="fa fa-repeat pull-right"></i> Cambiar clave</a></li>
						<li><a href="<c:url value='/logout' />"><i
								class="fa fa-sign-out pull-right"></i> Cerrar sesin</a></li>
						<li>
							<a href="javascript:;">
								<p>Quota ${userNameAuthenticated.rol.quota} Mb</p>
								<p>Usado ${spaceUsed} Mb</p>
								<div>
									<div class="progress progress_sm" style="width: 76%;">
										<c:choose>
   											<c:when test="${userNameAuthenticated.rol.quota == null}">
   												<div class="progress-bar bg-green" role="progressbar" 
													data-transitiongoal="0">
												</div>
   											</c:when>   												
   											<c:when test="${userNameAuthenticated.rol.quota != null}">
   												<div class="progress-bar bg-green" role="progressbar" 
													data-transitiongoal="${spaceUsed/userNameAuthenticated.rol.quota*100}">
												</div>
   											</c:when>	
										</c:choose>											
									</div>
								</div>
							</a>													
						</li>
					</ul></li>
			</ul>
		</nav>
	</div>
</div>