<%@ taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c"%>
<%@ taglib uri="http://www.springframework.org/tags" prefix="spring"%>
<%@ taglib uri="http://www.springframework.org/tags/form" prefix="form"%>
<%@ page session="false"%>
<!DOCTYPE html>
<html lang="en">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<!-- Meta, title, CSS, favicons, etc. -->
<meta charset="utf-8">
<meta http-equiv="X-UA-Compatible" content="IE=edge">
<meta name="viewport" content="width=device-width, initial-scale=1">

<title>Gestin de usuarios| MyCloud</title>

<c:import url="/WEB-INF/views/tags/headstyle.jsp" />
</head>

<body class="nav-md">
	<div class="container body">
		<div class="main_container">
			<div class="col-md-3 left_col">
				<div class="left_col scroll-view">
					<c:import url="/WEB-INF/views/tags/headerdivision.jsp" />					

					<div class="clearfix"></div>

					<!-- menu profile quick info -->
					<div class="profile">
						<c:import url="/WEB-INF/views/tags/menuprofile.jsp" />
					</div>
					<!-- /menu profile quick info -->

					<br />

					<!-- sidebar menu -->
					<c:import url="/WEB-INF/views/tags/menu.jsp" />
					<!-- /sidebar menu -->

					<!-- /menu footer buttons -->
					<c:import url="/WEB-INF/views/tags/menufooterbuttons.jsp" />
					<!-- /menu footer buttons -->
				</div>
			</div>

			<!-- top navigation -->			
				<c:import url="/WEB-INF/views/tags/topnavigation.jsp" />
			<!-- /top navigation -->

			<!-- page content -->
			<div class="right_col" role="main">
				<div class="">
					<div class="page-title">
						<div class="title_left">
							<h3>
								Gestin <small>Usuarios</small>
							</h3>
						</div>
					</div>

					<div class="clearfix"></div>

					<div class="row">
						<div class="col-md-12 col-sm-12 col-xs-12">
							<div class="x_panel">
								<div class="x_title">
									<h2>
										Listado <small>usuarios</small>
									</h2>									
									<div class="clearfix"></div>
								</div>								
								<div class="x_content">
									<c:if test="${!empty listUsers}">
										<table id="datatable-responsive"
											class="table table-striped table-bordered dt-responsive nowrap"
											cellspacing="0" width="100%">
											<thead>
												<tr>
													<th>Nombre</th>
													<th>Apellidos</th>	
													<th>Rol</th>																																					
													<th>Acciones</th>													
												</tr>
											</thead>
											<tbody>
												<c:forEach items="${listUsers}" var="user">
													<tr>														
														<td>${user.name}</td>
														<td>${user.surname}</td>
														<td>${user.rol.description}</td>														
														<td>
															<a href="<c:url value='/users/edit/${user.id}' />" class="btn btn-success btn-xs"><i class="fa fa-edit m-right-xs"></i> Editar</a>
															<button type="button" data-id="${user.id}" class="btn btn-danger btn-xs open-AddBookDialog" data-toggle="modal" data-target=".bs-example-modal-lg"><i class="fa fa-close m-right-xs"></i> Borrar</button>
															<a href="<c:url value='/users/changeuserpassword/${user.id}' />" class="btn btn-success btn-xs"><i class="fa fa-repeat m-right-xs"></i> Cambiar clave</a>
														</td>														
													</tr>
												</c:forEach>
											</tbody>
										</table>
									</c:if>
									<a href="<c:url value='/users/add' />" class="btn btn-primary"><i class="fa fa-plus m-right-xs"></i> Aadir</a>
								</div>
							</div>
						</div>
					</div>
				</div>
			</div>
			<!-- /page content -->

			<!-- footer content -->
			<footer>
				<c:import url="/WEB-INF/views/tags/footercontent.jsp" />
			</footer>
			<!-- /footer content -->
		</div>
	</div>
	
<div class="modal fade bs-example-modal-lg" tabindex="-1" role="dialog" aria-hidden="true">
	<div class="modal-dialog modal-lg">
		<div class="modal-content">
			<div class="modal-header">
				<button type="button" class="close" data-dismiss="modal"><span aria-hidden="true"></span>
				</button>
				<h4 class="modal-title" id="myModalLabel">Eliminar contenido</h4>
			</div>
			<div class="modal-body">
				<h4>Desea eliminar el contenido?</h4>
				<p>El contenido se eliminar y no podr ser recuperado.</p>
			</div>
			<div class="modal-footer">
				<button type="button" class="btn btn-default" data-dismiss="modal">Cancelar</button>
				<a name="linkId" id="linkId" href="<c:url value='/users/remove/' />" class="btn btn-primary">Confirmar</a>
			</div>
		</div>
	</div>
</div>
	
	
	<c:import url="/WEB-INF/views/tags/footerstyle.jsp" />
	<!-- Datatables -->
	<script>
		
	</script>
	<!-- /Datatables -->
</body>
</html>