<%@ page language="java" contentType="text/html; charset=UTF-8"
    pageEncoding="UTF-8"%>
<%@ taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c"%>
<%@ taglib uri="http://www.springframework.org/tags" prefix="spring"%>
<%@ taglib uri="http://www.springframework.org/tags/form" prefix="form"%>
<%@ page session="false"%>
<!DOCTYPE html>
<html lang="en">
  <head>
    <meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
    <!-- Meta, title, CSS, favicons, etc. -->
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1">

    <title>Error 404 | MyCloud</title>

    <!-- Bootstrap -->
	<link href="<c:url value="/resources/vendors/bootstrap/dist/css/bootstrap.min.css" />" rel="stylesheet">

	<!-- Font Awesome -->
	<link href="<c:url value="/resources/vendors/font-awesome/css/font-awesome.min.css" />" rel="stylesheet">

	<!-- NProgress -->
	<link href="<c:url value="/resources/vendors/nprogress/nprogress.css" />" rel="stylesheet">

	<!-- Animate.css -->
	<link href="<c:url value="/resources/vendors/animate.css/animate.min.css" />" rel="stylesheet">

	<!-- Custom Theme Style -->
	<link href="<c:url value="/resources/build/css/custom.min.css" />" rel="stylesheet">
    
  </head>

  <body class="nav-md">
    <div class="container body">
      <div class="main_container">
        <!-- page content -->
        <div class="col-md-12">
          <div class="col-middle">
            <div class="text-center text-center">
              <h1 class="error-number">403</h1>
              <h2>Acceso denegado</h2>
              <p>No puedes acceder a este recurso</p>              
            </div>
          </div>
        </div>
        <!-- /page content -->
      </div>
    </div>

	<!-- jQuery -->
	<script src="<c:url value="/resources/vendors/jquery/dist/jquery.min.js" />"></script>
	<!-- Bootstrap -->
	<script src="<c:url value="/resources/vendors/bootstrap/dist/js/bootstrap.min.js" />"></script>	
	<!-- FastClick -->
	<script src="<c:url value="/resources/vendors/fastclick/lib/fastclick.js" />"></script>	
	<!-- NProgress -->
	<script src="<c:url value="/resources/vendors/nprogress/nprogress.js" />"></script>		
    <!-- Custom Theme Scripts -->
    <script src="<c:url value="/resources/build/js/custom.min.js" />"></script>
  </body>
</html>
