<%@ taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c" %>
<%@ taglib uri="http://www.springframework.org/tags" prefix="spring" %>
<%@ taglib uri="http://www.springframework.org/tags/form" prefix="form" %>
<%@ page session="false" %>
<!DOCTYPE html>
<html lang="en">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<!-- Meta, title, CSS, favicons, etc. -->
<meta charset="utf-8">
<meta http-equiv="X-UA-Compatible" content="IE=edge">
<meta name="viewport" content="width=device-width, initial-scale=1">

<title>Editar de perfil | MyCloud</title>

<c:import url="/WEB-INF/views/tags/headstyle.jsp" />
</head>

<body class="nav-md">
	<div class="container body">
		<div class="main_container">
			<div class="col-md-3 left_col">
				<div class="left_col scroll-view">										
					<c:import url="/WEB-INF/views/tags/headerdivision.jsp" />
					
					<div class="clearfix"></div>

					<!-- menu profile quick info -->
					<div class="profile">					
						<c:import url="/WEB-INF/views/tags/menuprofile.jsp" />
					</div>
					<!-- /menu profile quick info -->
					<br />
					<!-- sidebar menu -->					
						<c:import url="/WEB-INF/views/tags/menu.jsp" />					
					<!-- /sidebar menu -->

					<!-- /menu footer buttons -->
						<c:import url="/WEB-INF/views/tags/menufooterbuttons.jsp" />					
					<!-- /menu footer buttons -->
				</div>
			</div>

			<!-- top navigation -->			
				<c:import url="/WEB-INF/views/tags/topnavigation.jsp" />
			<!-- /top navigation -->

			<!-- page content -->
			<div class="right_col" role="main">
				<div class="">
					<div class="page-title">
						<div class="title_left">
							<h3>
								Gestin <small>perfiles</small>
							</h3>
						</div>						
					</div>

					<div class="clearfix"></div>

					<div class="row">
						<div class="col-md-12 col-sm-12 col-xs-12">
							<div class="x_panel">
								<div class="x_title">
									<h2>
										Editar <small>Perfil</small>
									</h2>									
									<div class="clearfix"></div>
								</div>
								<div class="x_content">
									<c:url var="updateAction" value="/roles/update" ></c:url>
									<form:form action="${updateAction}" id="form" data-parsley-validate="" commandName="rol" class="form-horizontal form-label-left">

										<div class="form-group">
											<form:label path="id" class="control-label col-md-3 col-sm-3 col-xs-12" for="id">
												<spring:message text="Id"/><span class="required"> </span>
											</form:label>										                        				
                        					<div class="col-md-6 col-sm-6 col-xs-12">
                        						<form:input path="id" class="form-control col-md-7 col-xs-12" readonly="true" placeholder="Read-Only Input" />
                        					</div>
                      					</div>

										<div class="form-group">
											<form:label path="description" class="control-label col-md-3 col-sm-3 col-xs-12" for="description">
												<spring:message text="Descripcin"/><span class="required"> *</span>
											</form:label>										                        				
                        					<div class="col-md-6 col-sm-6 col-xs-12">
                        						<form:input path="description" required="required" class="form-control col-md-7 col-xs-12" />
                        					</div>
                      					</div>
                      					
                      					<div class="form-group">
                      						<form:label path="isAdministrator" class="control-label col-md-3 col-sm-3 col-xs-12" for="description">
												<spring:message text="Es administrador"/><span class="required"> </span>
											</form:label>
											<div class="col-md-6 col-sm-6 col-xs-12 checkbox">
												<form:checkbox path="isAdministrator" class="flat" />
											</div>
                      					</div>
										                      					
                      					<div class="form-group">
											<form:label path="quota" class="control-label col-md-3 col-sm-3 col-xs-12" for="description">
												<spring:message text="Quota"/><span class="required"> </span>
											</form:label>										                        				
                        					<div class="col-md-6 col-sm-6 col-xs-12">
                        						<form:input path="quota" class="form-control col-md-7 col-xs-12"  onkeyup="this.value=this.value.replace(/[^\d]/,'')" />
                        					</div>
                      					</div>
                      					
                      					<div class="ln_solid"></div>
                      					<div class="form-group">
                        					<div class="col-md-6 col-sm-6 col-xs-12 col-md-offset-3">
                        						<a href="<c:url value='/roles' />" class="btn btn-primary">Cancelar</a>
                          						<button type="submit" class="btn btn-success">Guardar</button>
                        					</div>
                      					</div>
									</form:form>									
								</div>
							</div>
						</div>
					</div>
				</div>
			</div>
			<!-- /page content -->

			<!-- footer content -->
			<footer>
				<c:import url="/WEB-INF/views/tags/footercontent.jsp" />
			</footer>
			<!-- /footer content -->
		</div>
	</div>
	<c:import url="/WEB-INF/views/tags/footerstyle.jsp" />
	<!-- Datatables -->
	<script>
		
	</script>
	<!-- /Datatables -->
</body>
</html>