<%@ taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c"%>
<%@ taglib uri="http://www.springframework.org/tags" prefix="spring"%>
<%@ taglib uri="http://www.springframework.org/tags/form" prefix="form"%>
<%@ page session="false"%>
<!DOCTYPE html>
<html lang="en">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<!-- Meta, title, CSS, favicons, etc. -->
<meta charset="utf-8">
<meta http-equiv="X-UA-Compatible" content="IE=edge">
<meta name="viewport" content="width=device-width, initial-scale=1">

<title>Compartir fichero | MyCloud</title>

<c:import url="/WEB-INF/views/tags/headstyle.jsp" />
</head>

<body class="nav-md">
	<div class="container body">
		<div class="main_container">
			<div class="col-md-3 left_col">
				<div class="left_col scroll-view">
					<c:import url="/WEB-INF/views/tags/headerdivision.jsp" />

					<div class="clearfix"></div>

					<!-- menu profile quick info -->
					<div class="profile">
						<c:import url="/WEB-INF/views/tags/menuprofile.jsp" />
					</div>
					<!-- /menu profile quick info -->
					<br />
					<!-- sidebar menu -->
					<c:import url="/WEB-INF/views/tags/menu.jsp" />
					<!-- /sidebar menu -->

					<!-- /menu footer buttons -->
					<c:import url="/WEB-INF/views/tags/menufooterbuttons.jsp" />
					<!-- /menu footer buttons -->
				</div>
			</div>

			<!-- top navigation -->
			<c:import url="/WEB-INF/views/tags/topnavigation.jsp" />
			<!-- /top navigation -->

			<!-- page content -->
			<div class="right_col" role="main">
				<div class="">
					<div class="page-title">
						<div class="title_left">
							<h3>
								Gestin <small>ficheros</small>
							</h3>
						</div>
					</div>

					<div class="clearfix"></div>

					<div class="row">
						<div class="col-md-12 col-sm-12 col-xs-12">
							<div class="x_panel">
								<div class="x_title">
									<h2>									
										Compartir: ${filename} 
									</h2>
									<div class="clearfix"></div>
								</div>								
								<div class="x_content">										
									<div class="alert alert-success">
										<p>Direccin de descarga.</p>
										<p><a href="${sbUrl}" target="_blank">${sbUrl}</a></p>
									</div>	
									<div class="alert alert-success">
										<p>Enviar un correo electrnico.</p>
										<p><a href="mailto:${sendemail}" target="_blank">Enviar</a></p>
									</div>
								</div>
							</div>
						</div>
					</div>
				</div>
			</div>
			<!-- /page content -->

			<!-- footer content -->
			<footer>
				<c:import url="/WEB-INF/views/tags/footercontent.jsp" />
			</footer>
			<!-- /footer content -->
		</div>
	</div>
	<c:import url="/WEB-INF/views/tags/footerstyle.jsp" />
	
	<script>	
	$(document).ready(function() {
	    //set initial state.
	    $( "#password" ).removeAttr('required');
	    $( "#divClave" ).hide();
	    $( "#deadline" ).removeAttr('required');
	    $( "#divVencimiento" ).hide();

	    $('#checkboxClave').change(function() {
	        if($(this).is(":checked")) {
	            $( "#divClave" ).show();
	            $( "#password" ).prop('required',true);
	        }
	        else
	        {
	        	$( "#password" ).val("");
	        	$( "#password" ).removeAttr('required');
	        	$( "#divClave" ).hide();
	        }
	    });
	    
	    $('#checkboxVencimiento').change(function() {
	        if($(this).is(":checked")) {
	            $( "#divVencimiento" ).show();	
	            $( "#deadline" ).prop('required',true);	           
	        }
	        else
	        {
	        	$( "#deadline" ).val("");
	        	$( "#deadline" ).removeAttr('required');
	        	$( "#divVencimiento" ).hide();
	        }
	    });
	});
	</script>
		
</body>
</html>