<%@ taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c"%>
<%@ taglib uri="http://www.springframework.org/tags" prefix="spring"%>
<%@ taglib uri="http://www.springframework.org/tags/form" prefix="form"%>
<%@ page session="false"%>
<!DOCTYPE html>
<html lang="en">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<!-- Meta, title, CSS, favicons, etc. -->
<meta charset="utf-8">
<meta http-equiv="X-UA-Compatible" content="IE=edge">
<meta name="viewport" content="width=device-width, initial-scale=1">

<title>Compartir fichero | MyCloud</title>

<c:import url="/WEB-INF/views/tags/headstyle.jsp" />
</head>

<body class="nav-md">
	<div class="container body">
		<div class="main_container">
			<div class="col-md-3 left_col">
				<div class="left_col scroll-view">
					<c:import url="/WEB-INF/views/tags/headerdivision.jsp" />

					<div class="clearfix"></div>

					<!-- menu profile quick info -->
					<div class="profile">
						<c:import url="/WEB-INF/views/tags/menuprofile.jsp" />
					</div>
					<!-- /menu profile quick info -->
					<br />
					<!-- sidebar menu -->
					<c:import url="/WEB-INF/views/tags/menu.jsp" />
					<!-- /sidebar menu -->

					<!-- /menu footer buttons -->
					<c:import url="/WEB-INF/views/tags/menufooterbuttons.jsp" />
					<!-- /menu footer buttons -->
				</div>
			</div>

			<!-- top navigation -->
			<c:import url="/WEB-INF/views/tags/topnavigation.jsp" />
			<!-- /top navigation -->

			<!-- page content -->
			<div class="right_col" role="main">
				<div class="">
					<div class="page-title">
						<div class="title_left">
							<h3>
								Gestin <small>ficheros</small>
							</h3>
						</div>
					</div>

					<div class="clearfix"></div>

					<div class="row">
						<div class="col-md-12 col-sm-12 col-xs-12">
							<div class="x_panel">
								<div class="x_title">
									<h2>
										Compartir <small>Fichero: </small>
									</h2>
									<div class="clearfix"></div>
								</div>								
								<div class="x_content">
									<c:url var="addAction" value="/storage/saveprivateshared"></c:url>
									<form:form action="${addAction}" commandName="file" id="form"
										data-parsley-validate="data-parsley-validate"
										class="form-horizontal form-label-left">
										
										                      					
                      					<form:hidden path="id" />
                      					<form:hidden path="filename" />
                      					
                      					<div class="form-group">
											<form:label path="user"
												class="control-label col-md-3 col-sm-3 col-xs-12" for="user">
												<spring:message text="Usuario con el cual compartir" />
												<span class="required"> *</span>
											</form:label>
											<div class="col-md-6 col-sm-6 col-xs-12">
												<form:select path="user.id" required="required"
													class="select2_single form-control col-md-7 col-xs-12"
													items="${userList}" />
											</div>
										</div>										
										

										<div class="ln_solid"></div>
										<div class="form-group">
											<div class="col-md-6 col-sm-6 col-xs-12 col-md-offset-3">
												<input type="submit" class="btn btn-primary"
													value="<spring:message text="Aceptar"/>" />
											</div>
										</div>
									</form:form>
								</div>
							</div>
						</div>
					</div>
				</div>
			</div>
			<!-- /page content -->

			<!-- footer content -->
			<footer>
				<c:import url="/WEB-INF/views/tags/footercontent.jsp" />
			</footer>
			<!-- /footer content -->
		</div>
	</div>
	<c:import url="/WEB-INF/views/tags/footerstyle.jsp" />
		
</body>
</html>